const spawn = async (...args) => {
    const { spawn } = require("child_process"); //原生包的子进程
    return new Promise((resolve) => {
        const proc = spawn(...args);
        proc.stdout.pipe(process.stdout); //子进程的输出流与主进程相对接  为了打印子进程的日志
        proc.stderr.pipe(process.stderr); //错误流
        proc.on("close", () => {
            resolve();
        });
    });
};
 
module.exports = spawn;